package com.red.circle.console.infra.database.mongo.count.service;

import com.red.circle.console.infra.database.mongo.count.entity.StatisticsDailyOperationActiveIndex;
import java.util.List;

/**
 * @author pengliang on 2022/3/28
 */
public interface StatisticsDailyOperationActiveIndexService {

  /**
   * 添加运营指标.
   */
  void add(StatisticsDailyOperationActiveIndex operationActiveIndex);

  /**
   * 是否存在指定日前.
   */
  boolean exists(String date);

  /**
   * 获取最近天数数据指标.
   */
  List<StatisticsDailyOperationActiveIndex> listLatestDays(Integer days);

}
